Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Class MutableWorkspaceSettings

    java.lang.Object
      org.eclipse.wst.validation.MutableWorkspaceSettings

    public final class MutableWorkspaceSettings

extends java.lang.Object

This class holds the overall workspace validation settings.

The following procedure is used to change a project's Validation settings.

1. The MutableWorkspaceSettings are retrieved.
2. The MutableWorkspaceSettings are changed.
3. The MutableWorkspaceSettings are "applied".

These settings can be retrieved with `ValidationFramework.getWorkspaceSettings()`.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`MutableWorkspaceSettings(IMutableValidator[] validators, org.eclipse.wst.validation.internal.model.GlobalPreferencesValues values)`

Method Summary
`boolean` | `getAutoSave()`
`org.eclipse.wst.validation.internal.model.GlobalPreferencesValues` | `getGlobalPreferencesValues()`
`boolean` | `getOverride()` Can this project override the workspace level validation settings?
`boolean` | `getSuspend()` Is validation suspended for this project?
`IMutableValidator[]` | `getValidators()`
`void` | `setAutoSave(boolean autoSave)`
`void` | `setOverride(boolean override)` Change whether this project can override workspace level validation settings.
`void` | `setSuspend(boolean suspend)` Change whether this project is suspending it's validation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MutableWorkspaceSettings

    public MutableWorkspaceSettings(IMutableValidator[] validators,
                                    org.eclipse.wst.validation.internal.model.GlobalPreferencesValues values)

Method Detail

### getValidators

    public IMutableValidator[] getValidators()

### getGlobalPreferencesValues

    public org.eclipse.wst.validation.internal.model.GlobalPreferencesValues getGlobalPreferencesValues()

### getAutoSave

    public boolean getAutoSave()

### setAutoSave

    public void setAutoSave(boolean autoSave)

### getOverride

    public boolean getOverride()

  Can this project override the workspace level validation settings?

### setOverride

    public void setOverride(boolean override)

  Change whether this project can override workspace level validation settings.

  Parameters:
    `override` - Set to true if the project is allowed to override workspace level validation settings.

### getSuspend

    public boolean getSuspend()

  Is validation suspended for this project?

### setSuspend

    public void setSuspend(boolean suspend)

  Change whether this project is suspending it's validation.

  Parameters:
    `suspend` - Set to true, to suspend validation for this project.

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD